import requests
import json
import time
import random



headers = {'Content-Type': 'application/json'}

# URL = 'http://10.2.20.42:8080/receive/tkio/'
# URL = 'http://52.80.137.106:8080/receive/tkio/'
URL = 'http://log.trackingio.com/receive/tkio/'
# URL = 'http://jisulog.sortda.com/receive/tkio/'

#时间戳
current_time_13 = int(round(time.time() * 1000))
#时间和日期
when = time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time()))
#日期
ds = time.strftime('%Y-%m-%d', time.localtime(time.time()))
#设备品牌
manufacturer = 'vivo'
#设备系统
ryos = 'ios'
#设备类型
rydevicetype = 'vivox9'
#网络类型
network ='wifi'
#分辨率
resolution ='1344*750'
#运行商
op='中国移动'
# 支付类型   支付宝(alipay)，银联(unionpay)，微信支付（weixinpay）,易宝支付（yeepay）
paymenttype = 'alipay'
#货币类型
currencytype = 'CNY'
#支付的货币金额
currencyamount = '98.8'
# # 填充广告在变现平台的广告位ID
# adid = '839296815'
# 填充广告的变现平台，例如穿山甲(csj)、优量汇(ylh)、百青藤(bqt)、Sigmob(sigmob)、快手(ks)、Mintegral(mintegral)、OneWay(oneway)、Vungle(vungle)等
adPlatform = 'ylh'
# 页面展示时调用 pageID代表页面唯一标识
# 会话时长，单位秒
appduration = '600'
# 时长，单位：秒
pageduration = '200'
istablet = 'phone'
lib = 'ios'
when1 = '2020-06-06 16:44:31'
# 设备型号
model = '测试1'
# 操作系统版本
ryosversion = '13.6.1'
# 网络环境
network_type = '5g'
# 运营商
carrier = '中国联通'
lv = '1.8.5'


class allEvent:
    # 激活
    def installUpload(self,i,IP,appkey):
        s = json.dumps({
            "what":'install',
            "appid":appkey,
            "context":{
                # "_cmpaignid":'default',
                "_deviceid": i,
                # 00000000-0000-0000-0000-000000000000
                # 45F38BD4-64DA-485E-BAFD-D1ECEBBCAF18
                "_idfa": i,
                # "_oaid":'45F568D4-68DA-875E-BAFD-D3ECEBBCAU56',
                "_idfv": '64F5A794-A942-4209-81B0-D28FD01E9287',
                "_ip": IP,
                "mobdna_info": "{\"mobdna_oid\":\"95820f88217ec8cbdf621919bb81c0a5\",\"mobdna_appkey\":\"16dc0cb882d3dbec4f7f66251a84d6dd\",\"mobdna_rdid\":\"9F58C7997F1909DE56401DF999C7DE17\",\"mobdna_requestid\":\"463cfd5564d24d30a607a18a1e8ae2d8\"}",
                # 'ua': 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)',
                '_manufacturer': manufacturer,
                '_ryos': ryos,
                '_rydevicetype': rydevicetype,
                '_networktype': network_type,
                '_resolution': resolution,
                '_carrier': carrier,
                '_timestamp': current_time_13,
                '_model': 'jixing',
                '_ryosversion': ryosversion,
                '__model': 'jixing',


                # 1.redownload + deviceId有归因结果 asa_install_type = old_redownload对应3
                # 2.redownload + deviceId无归因结果 asa_install_type = new_redownload对应4
                # 3.download + deviceId有归因结果asa_install_type = old_download对应1
                # 4.download + deviceId无归因结果asa_install_type = new_download对应2
                # # 转化类型，新增或重装,Download 或 Redownload
                "iad-conversion-type": "Download",

                # 广告活动组ID（campaign group id）
                "iad-org-id": "123456789",
                # 广告活动组名称（campaign group name）
                "iad-org-name": "name",

                # 广告活动ID
                "iad-campaign-id": "111",
                # 广告活动名称
                "iad-campaign-name": "CampaignName",


                # 广告组ID
                "iad-adgroup-id": "111111",
                # 广告组名称
                "iad-adgroup-name": "AdGroupName",


                # 关键词	id
                "iad-keyword-id": "111",
                # 关键词
                "iad-keyword": "Keyword",


                # 素材ID
                "iad-creativeset-id": "111",
                # 素材名称
                "iad-creativeset-name": "CreativeSetName",

                # 点击ASA广告时间
                "iad-click-date": '2021-06-24T11:32:33Z',
                # 本次下载完成的时间（仅ASA转化时，该值传且必传）
                "iad-conversion-date": when,

                # Broad 广泛匹配 ； Exact 完全匹配；SearchMatch 搜索匹配
                # 关键词匹配类型
                "iad-keyword-matchtype": "SearchMatch",
                #首次下载完成的时间（有可能包括非ASA转化，当为redownload且conversion date有值时，purchase date是第一次下载App的时间）
                "iad-purchase-date": '2021-06-24T11:32:33Z',
                # 归因结果
                "iad-attribution": "true",
                # 国家
                "iad-country-or-region": "US",
                'asa_install_time':'2021-06-24T11:32:33Z',



                # 'asatoken': 'OfmS+MFycll/025oJEjtpZ+rs4AUkDEJh52fT8RrjwIR/ h+2JOpXz4MRdmtcemL8WTTHfNN52tjqjbWupke40AAAAVADAAAAvQAAAIAg QF1+XF4Tl2IZ7Bw/M6ufUHt+UcIhuBeJT8YenB2v36bnZKEjvq/ IH8rqXkRELTHdyiqOYtpy837+UjF/NjE6t1/ l7sIn71b0t3FEXJd8QOtl3Bi6iQyJgGeN8w8X0MK1PDqz9nLJtRD/ wl+p112qR2YrMDyyKnwNrbfRhnGB9AAAAB7wAXlwNHelWf5RT2bzSJcGflq ELMCGoDEHIl7jF6kAAACfAb9ylY8ffdbTlyJODQYQ/ 6V9qbaBAAAAhgUBW39MQI1A0SZgNmZFz4KPaF94BxBzd4rDkjr/ eSeuaXWCmEW3ZhBzE/MOM17hAPBVlDhTPcZ/2ybr3WYIkfb+AAg/ 7jxGpDXgTtco3fzTytnZpEaI5SenXHALIexQAUTBsfBW2HCMQuTRo+7anoW kf69656ZAWcSc3DEQ1CAkUSKO9X7iAAABBEQQBQA='

            },
            'when': time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time())),
            'ds': ds,
            'who': 'lxx_test'
        })
        p = requests.post(url=URL+'install',data=s,headers=headers,timeout=5)
        print(p.text)
        print(s)

        # 启动

    def startupEvent(self, i, IP, appkey):
        s = json.dumps(
            {
                # 'what': 'startup',
                'appid': appkey,
                'context': {
                    # "_cmpaignid":'default',
                    "_deviceid": i,
                    # 00000000 - 0000 - 0000 - 0000 - 000000000000
                    "_idfa": i,
                    "_ip": IP,
                    # 'ua': 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)',
                    '_manufacturer': manufacturer,
                    '_ryos': ryos,
                    '_rydevicetype': rydevicetype,
                    '_networktype': network_type,
                    '_resolution': resolution,
                    '_carrier': carrier,
                    '_timestamp': current_time_13,
                    '_model': 'jixing',
                    '_ryosversion': ryosversion,
                    '__model': 'jixing',
                    # "current_caid":'2121',
                    # "_campaignid": 'default',
                    # "_deviceid": i,
                    # "_imei": i,
                    # # "_idfa": '75463565745634546',
                    # "_androidid": "424653325643",
                    # # "_imei2":"324323AAAA",
                    # # "_meid": "CCC324323",
                    # "_ip": IP,
                    # # "_ipv6": i,
                    # '_manufacturer': manufacturer,
                    '_ryos': ryos,
                    # '_rydevicetype': rydevicetype,
                    # '_network': network,
                    # '_resolution': resolution,
                    # '_op': op,
                    # '_timestamp': current_time_13,
                    # '_oaid': '999b6e3e-a274-ed22-cebf-2b6dddfc29b7'
                    # # '_mac':"565354131606"
                    'sysfsize': '111',
                    '_model': '1',
                    'sysram': '1',
                    '_ryosversion': '1',
                    'sysutime': '1',
                    'sysuname': '1',
                    '_carrier': '1',
                    'syscountryc': '1',
                    'sysrtime': '1',

                },
                # 'when': when,
                # 'ds': ds,
                'who': 'lxx_test'
            }

        )
        p = requests.post(url=URL + 'startup', data=s, headers=headers, timeout=10)
        print("启动" + p.text)
        print(when)

        # 注册

    def registerEvent(self, i, IP, appkey):
        s = json.dumps({
            # 'what':'register',
            'appid': appkey,
            'context': {
                # "_cmpaignid":'default',
                "_deviceid":i,
                # 00000000 - 0000 - 0000 - 0000 - 000000000000
                "_idfa":i,
                "_ip": IP,
                # 'ua': 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)',
                '_manufacturer': manufacturer,
                '_ryos': ryos,
                '_rydevicetype': rydevicetype,
                '_networktype': network_type,
                '_resolution': resolution,
                '_carrier': carrier,
                '_timestamp': current_time_13,
                '_model': 'jixing',
                '_ryosversion': ryosversion,
                '__model': 'jixing',

            },
            # 'when': time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time())),
            # 'ds': ds,
            'who': 'lxx_test'
        })
        p = requests.post(url=URL + 'register', data=s, headers=headers, timeout=10)
        # print("注册时间戳"+current_time_13)
        print("注册" + p.text)

        # 登陆

    def loginEvent(self, i, IP, appkey):
        s = json.dumps({
            # 'what': 'loggedin',
            'appid': appkey,
            'context': {
                "_deviceid": i,
                # 00000000 - 0000 - 0000 - 0000 - 000000000000
                "_idfa": i,
                "_ip": IP,
                '_manufacturer': manufacturer,
                '_ryos': ryos,
                '_rydevicetype': rydevicetype,
                '_networktype': network_type,
                '_resolution': resolution,
                '_carrier': carrier,
                '_timestamp': current_time_13,
                '_model': 'jixing',
                '_ryosversion': ryosversion,
                '__model': 'jixing',
                "serverid": "111111",
                'accountid': '99999',

            },
            # 'when': time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time())),
            # 'ds': ds,
            'who': 'lxx_test'
        })
        try:
            p = requests.post(url=URL + 'loggedin', data=s, headers=headers, timeout=10)
            print("登录" + p.text)
        except Exception as err:
            print(err)

        # 付费

    def payEvent(self, i, IP, appkey):
        # 订单号
        transactionid = ''.join(str(random.choice(range(10))) for _ in range(19))
        s = json.dumps({
            'what': 'payment',
            'appid': appkey,
            'context': {
                "_deviceid":i,
                # 00000000 - 0000 - 0000 - 0000 - 000000000000
                "_idfa":i,
                "_ip": IP,
                # 'ua': 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)',
                '_manufacturer': manufacturer,
                '_ryos': ryos,
                '_rydevicetype': rydevicetype,
                '_networktype': network_type,
                '_resolution': resolution,
                '_carrier': carrier,
                '_timestamp': current_time_13,
                '_model': 'jixing',
                '_ryosversion': ryosversion,
                '__model': 'jixing',
                '_transactionid': transactionid,
                '_paymenttype': paymenttype,
                '_currencytype': currencytype,
                '_currencyamount': currencyamount,
                "_lib_version": lv,
                '_oaid': "unknow"



            },
            # 'when': time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time())),
            # 'ds': ds,
            'who': 'lxx_test'
        })
        p = requests.post(url=URL + 'payment', data=s, headers=headers, timeout=5)
        print("付费" + p.text)
        # print(str(s))

        # 订单

    def payorder(self, i, IP, appkey):
        # 订单号
        transactionid = ''.join(str(random.choice(range(10))) for _ in range(19))
        s = json.dumps({
            'what': 'order',
            'appid': appkey,
            'context': {
                "_deviceid":i,
                # 00000000 - 0000 - 0000 - 0000 - 000000000000
                "_idfa":i,
                "_ip": IP,
                # 'ua': 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)',
                '_manufacturer': manufacturer,
                '_ryos': ryos,
                '_rydevicetype': rydevicetype,
                '_networktype': network_type,
                '_resolution': resolution,
                '_carrier': carrier,
                '_timestamp': current_time_13,
                '_model': 'jixing',
                '_ryosversion': ryosversion,
                '__model': 'jixing',
                'accountid': '99999',
                '_transactionid': transactionid,
                '_paymenttype': paymenttype,
                "_lib_version": lv,
                '_currencytype': currencytype,
                '_currencyamount': currencyamount,

            },
            # 'when': time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time())),
            # 'ds': ds,
            'who': 'lxx_test'
        })
        p = requests.post(url=URL + 'event', data=s, headers=headers, timeout=5)
        print("订单" + p.text)

        # 自定义事件

    def ziding_event(self, i, IP, appkey, event):
        s = json.dumps({
            'what': event,
            'appid': appkey,
            'context': {
                "_deviceid":i,
                # 00000000 - 0000 - 0000 - 0000 - 000000000000
                "_idfa":i,
                "_ip": IP,
                # 'ua': 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)',
                '_manufacturer': manufacturer,
                '_ryos': ryos,
                '_rydevicetype': rydevicetype,
                '_networktype': network_type,
                '_resolution': resolution,
                '_carrier': carrier,
                '_timestamp': current_time_13,
                '_model': 'jixing',
                '_ryosversion': ryosversion,
                '__model': 'jixing',
                "_lib_version": lv,
                '_key_action_category': '1',
                '_key_action_threshold': '15',
                # 识别是否为自定义事件，默认传1
                '_isreyundefaultevent': '1'
            },
            # 'when': time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time())),
            # 'ds': ds,
            'who': 'lxx_test'
        })
        p = requests.post(url=URL + 'event', data=s, headers=headers, timeout=5)
        print("自定义" + p.text)

        # 自定义事件

    def invoke_test(self, i, IP, appkey):
        s = json.dumps({
            "what": "invoke",
            "appType": "",
            "appid": appkey,
            "context": {
                "_campaignid": "_default_",
                "_rydevicetype": "iPhone",
                "_ip": IP,
                "_ryosversion": ryosversion,
                "_manufacturer": "苹果",
                "frequency": "0.000",
                "_app_version": "2.0",
                "_isreyundefaultevent": "1",
                "_deviceid": i,
                "_device_gps": "unknown",
                "_jbk": "0",
                "_timestamp": "1565941809351",
                "_imei": i,
                # "_idfa": "DBC43622-E34B-440C-B7A7-FB6641D0D9AB",
                "_idfv": i,
                "_lib_version": lv,
                "_carrier": carrier,
                "_ry_ts": "1565941809416",
                "_create_timestamp": "1565941809351",
                "_tz": "+8",
                "_pkgname": "com.reyun.sdktrackingtest",
                "_ipv6": "fe80::1cf8:ea60:3508:1dc2",
                "modify": "0",
                # "_ry_origin_when": "2019-08-16 15:50:09",
                "_resolution": "736*414",
                "_ryos": "iOS",
                "_model": model,
                # "_mac": "02:00:00:00:00:00",
                "_network_type": "WIFI",
                # "_androidid": "5432453421342654",

                "_lats": "1"
            },
            "where": "event",
            # "when": time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time())),
            # "ds": ds,
            "who": "unknown"
        })
        p = requests.post(url=URL + 'event', data=s, headers=headers, timeout=5)
        print("自定义" + p.text)

        # 广告展示

    def adshow(self, i, IP, appkey, adid):
        s = json.dumps({
            "appid": appkey,
            "context": {
                '_adPlatform': adPlatform,
                '_adId': adid,
                "_campaignid": 'default',
                "_deviceid": i,
                "_imei": i,
                # "_idfa": '75463565745634546',
                "_androidid": "424653325643",
                # "_imei2":"324323AAAA",
                # "_meid": "CCC324323",
                "_ip": IP,
                # "_ipv6": i,
                '_manufacturer': manufacturer,
                '_ryos': ryos,
                '_rydevicetype': rydevicetype,
                '_network': network,
                '_resolution': resolution,
                '_op': op,
                '_timestamp': current_time_13,
                '_oaid': '999b6e3e-a274-ed22-cebf-2b6dddfc29b7',
                "_fill": "1",
                # '_mac':"565354131606"
            },
            # 'when': time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time())),
            # 'ds': ds,
            'who': 'lxx_test'

        })
        try:
            p = requests.post(url=URL + 'adshow', data=s, headers=headers, timeout=5)
            print("广告展示：" + p.text)
            print("设备id：" + i)
        except Exception as err:
            print(err)

        # 广告点击

    def adclick(self, i, IP, appkey, adid):
        s = json.dumps({
            "appid": appkey,
            "context": {
                '_adPlatform': adPlatform,
                '_adId': adid,
                "_campaignid": 'default',
                "_deviceid": i,
                "_imei": i,
                # "_idfa": '75463565745634546',
                "_androidid": "424653325643",
                # "_imei2":"324323AAAA",
                # "_meid": "CCC324323",
                "_ip": IP,
                # "_ipv6": i,
                '_manufacturer': manufacturer,
                '_ryos': ryos,
                '_rydevicetype': rydevicetype,
                '_network': network,
                '_resolution': resolution,
                '_op': op,
                '_timestamp': current_time_13,
                '_oaid': '999b6e3e-a274-ed22-cebf-2b6dddfc29b7'
                # '_mac':"565354131606"
            },
            # 'when': time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time())),
            # 'ds': ds,
            'who': 'lxx_test'

        })
        try:
            p = requests.post(url=URL + 'adclick', data=s, headers=headers, timeout=5)
            print("广告点击：" + p.text)
            print("设备id：" + i)
        except Exception as err:
            print(err)

        # App页面浏览时长分布

    def pageduration(self, i, IP, appkey, sessionID, pageId):
        s = json.dumps({
            "appid": appkey,
            "context": {
                '_pageid': pageId,
                "_sessionid": sessionID,
                '_pageduration': pageduration,
                "_campaignid": 'default',
                "_deviceid": i,
                "_imei": i,
                # "_idfa": '75463565745634546',
                # "_androidid": "424653325643",
                # "_imei2":"324323AAAA",
                # "_meid": "CCC324323",
                "_ip": IP,
                # "_ipv6": i,
                '_manufacturer': manufacturer,
                '_ryos': ryos,
                '_rydevicetype': rydevicetype,
                '_network': network,
                '_resolution': resolution,
                '_op': op,
                '_timestamp': current_time_13,
                '_oaid': '999b6e3e-a274-ed22-cebf-2b6dddfc29b7'
                # '_mac':"565354131606"
            },
            # 'when': time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time())),
            # 'ds': ds,
            'who': 'lxx_test'

        })
        try:
            p = requests.post(url=URL + 'pageduration', data=s, headers=headers, timeout=5)
            print("App页面浏览时长分布：" + p.text)
        except Exception as err:
            print(err)

        # App使用时长

    def appduration(self, i, IP, appkey, sessionID):
        s = json.dumps({
            "appid": appkey,
            "context": {
                "_appduration": appduration,
                "_sessionid": sessionID,
                "_campaignid": 'default',
                "_deviceid": i,
                "_imei": i,
                # "_idfa": '75463565745634546',
                # "_androidid": "424653325643",
                # "_imei2":"324323AAAA",
                # "_meid": "CCC324323",
                "_ip": IP,
                # "_ipv6": i,
                '_manufacturer': manufacturer,
                '_ryos': ryos,
                '_rydevicetype': rydevicetype,
                '_network': network,
                '_resolution': resolution,
                '_op': op,
                '_timestamp': current_time_13,
                # '_oaid': '999b6e3e-a274-ed22-cebf-2b6dddfc29b7'
                # '_mac':"565354131606"
            },
            # 'when': time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time())),
            # 'ds': ds,
            'who': 'lxx_test'

        })
        try:
            p = requests.post(url=URL + 'appduration', data=s, headers=headers, timeout=5)
            print("App使用时长：" + p.text)
        except Exception as err:
            print(err)

    def retentionEvent(self, i, IP, appkey):
            s = json.dumps(
                {
                "what": "retention",
                "appType": "",
                "appid": appkey,
                "context": {
                    "_campaignid": "_default_",
                    "_rydevicetype": "iPhone",
                    "cfnetworkversion": "1197",
                    "sysuname": "E3DB67CAC7AA864C3CBDE118997ADD44",
                    "kernelinfo": "Darwin Kernel Version 20.0.0: Fri Aug 28 23:07:15 PDT 2020; root:xnu-7195.0.46~9/RELEASE_ARM64_T8030",
                    "language": "disable",
                    "_ryosversion": "14.0",
                    "ua": "unknown",
                    "_manufacturer": "苹果",
                    "frequency": "43.667",
                    "_screen_brightness": "0.442",
                    "_isreyundefaultevent": "1",
                    "_timestamp": "1627372876508",
                    "_idfa": "00000000-0000-0000-0000-000000000000",
                    "sysrtime": "disable",
                    "mn": "e2dbe3e4e5eeabe7f3f3",
                    "_carrier": "disable",
                    "_tz": "+8",
                    "_pkgname": "com.reyun.sdktrackingtest",
                    "_ryos": "ios",
                    "_mac": "02:00:00:00:00:00",
                    "hwm": "D421AP", "pbv": "18A373",
                    "_ip": IP,
                    "sysutime": "disable",
                    "_app_version": "2.0",
                    "_deviceid": i,
                    "less_than_fourteen_dev": "00000000-0000-0000-0000-000000000000",
                    "_jbk": "0",
                    "kernosrelease": "20.0.0",
                    "syscountryc": "disable",
                    "ry_appname": "测试iOS",
                    "_idfv": "31199199-4B90-4E10-9D28-3CA815E2B740",
                    "_lib_version": "1.8.6_jsfc",
                    "_ry_ts": "1627372876761",
                    "_create_timestamp": "1627372876508",
                    "_network_type": "WIFI", "_lats": "0"},
                "where": "event",
                "when": when,
                "deviceid": i,
                "ds": when,
                "who": "TA 5-"
            })
            p = requests.post(url=URL + 'event', data=s, headers=headers, timeout=10)
            print("retention" + p.text)
            print(when)
        # 批量上传数据接口

    def batchUpload(self, i, IP, appkey):
        s = json.dumps(
            {"from": "tkio", "data": [
                {"appid": appkey, "when": "2018-01-08 11:22:42", "what": "startup",
                 "context": {"_manufacturer": "苹果", "_carrier": "unknown", "_lats": "1", "_jbk": "1",
                             "_app_version": "1.0", "_timestamp": "1515381771925", "_create_timestamp": "1515381762624",
                             "_rydevicetype": "iPhone", "_deviceid": "FD8A5386-C25B-49D8-A0F3-2E61B179DA0E",
                             "_tz": "+8", "_resolution": "667*375", "_pkgname": "com.reyun.testapp",
                             "_mac": "80:E6:50:12:4C:DE", "_network_type": "NO CONNECT", "_istf": "8",
                             "_idfv": "27CCEE6E-5ED1-47EC-B486-81F9129C05D3", "_ryosversion": "11.2",
                             "_model": "iPhone Simulator", "_lib_version": "2.0.0", "_ryos": "ios",
                             "_campaignid": "channelid", "_idfa": "FD8A5386-C25B-49D8-A0F3-2E61B179DA0E"},
                 "who": "unknown"},
                {"appid": appkey, "when": "2018-01-08 11:22:42", "what": "register",
                 "context": {"_manufacturer": "苹果", "_carrier": "unknown", "_lats": "1", "_jbk": "1",
                             "_app_version": "1.0", "_timestamp": "1515381771925", "_create_timestamp": "1515381762657",
                             "_rydevicetype": "iPhone", "_deviceid": "FD8A5386-C25B-49D8-A0F3-2E61B179DA0E",
                             "_tz": "+8", "_resolution": "667*375", "_pkgname": "com.reyun.testapp",
                             "_mac": "80:E6:50:12:4C:DE", "_network_type": "NO CONNECT", "_istf": "8",
                             "_idfv": "27CCEE6E-5ED1-47EC-B486-81F9129C05D3", "_ryosversion": "11.2",
                             "_model": "iPhone Simulator", "_lib_version": "2.0.0", "_ryos": "ios",
                             "_campaignid": "channelid", "_idfa": "FD8A5386-C25B-49D8-A0F3-2E61B179DA0E"},
                 "who": "acc1"},
            ]}
        )
        p = requests.post(url=URL_batch, data=s, headers=headers, timeout=5)
        print("自定义" + p.text)



