import socket
import struct
import random
import time
import string

import hashlib
from tkio import clickandroid
from tkio import tkioreceiveandroid


# md5加密转大写
def computeMD5upper(message):
    m = hashlib.md5()
    m.update(message.encode(encoding='utf-8'))
    return m.hexdigest().upper()


# md5加密转xiao写
def computeMD5lower(message):
    m = hashlib.md5()
    m.update(message.encode(encoding='utf-8'))
    return m.hexdigest()


# 生成小写字母加数字组合
n = 10


def code_nums1(n=6):
    ret = ''
    for i in range(n):
        num = random.randint(0, 9)
        letter = chr(random.randint(97, 122))
        s = str(random.choice([num, letter]))
        ret += s
    return ret


# SHA加密
def computesha(message):
    sha = hashlib.sha1(message.encode('utf-8'))
    encrypts = sha.hexdigest()
    print(encrypts)
    return encrypts


# **************************************************自定义归因测试用例开始**************************************************
# -----------------------------------点击激活的imei／imei_MD5，oaid，androidid，mac，ip值相同，归因到imei---------------------
# 点击imei=111，oaid=222，androidid=333，mac=444，ip=1.1.1.1激活imei=111，oaid=222，androidid=333，mac=444，ip=1.1.1.1
def test_imei1():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    # clickandroid.send_requestandroid('&preorder=true')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    # time.sleep(100)
    # clickandroid.parms['imei'] = i
    # clickandroid.parms['imei_MD5'] = ''
    # clickandroid.parms['oaid'] = oaid
    # clickandroid.parms['androidid'] = androidid
    # clickandroid.parms['mac'] = mac
    # clickandroid.parms['ip'] = ip
    # clickandroid.send_requestandroid('')
    print(i)
    print(ip)


# 点击imei=111，oaid=222，androidid=333，mac=444，ip=1.1.1.1，muid=555激活imei=555，oaid=222，androidid=333，mac=444，ip=1.1.1.1
def test_imei2():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = i
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    # clickandroid.send_requestandroid('&preorder=true')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 点击imei=111，oaid=222，androidid=333，mac=444，ip=1.1.1.1，muid=555，imei_MD5=666激活imei=666，oaid=222，androidid=333，mac=444，ip=1.1.1.1
def test_imei3():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    # clickandroid.send_requestandroid('&preorder=true')

    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# -----------------------------------点击激活的imei／imei_MD5值不相同，oaid，androidid，mac，ip值相同，归因到oaid／oaid_MD5-----------------------------------
# 点击imei=111，oaid=222，androidid=333，mac=444，ip=1.1.1.1激活imei=999，oaid=222，androidid=333，mac=444，ip=1.1.1.1

def test_oaid1():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    # clickandroid.send_requestandroid('&preorder=true')

    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 点击imei=111，oaid=222，androidid=333，mac=444，ip=1.1.1.1，muid=555激活imei=999，oaid=555，androidid=333，mac=444，ip=1.1.1.1
def test_oaid2():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = oaid
    clickandroid.parms['ip'] = ip
    # clickandroid.send_requestandroid('')
    clickandroid.send_requestandroid('&preorder=true')

    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 点击imei=111，oaid=222，androidid=333，mac=444，ip=1.1.1.1，muid=555，imei_MD5=666，oaid_MD5=888激活imei=777，oaid=888，androidid=333，mac=444，ip=1.1.1.1
def test_oaid3():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = computeMD5lower(oaid)
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    # clickandroid.send_requestandroid('')
    clickandroid.send_requestandroid('&preorder=true')

    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# -----------------------------点击激活的imei／imei_MD5，oaid／oaid_MD5值不相同，androidid／androidid_MD5，mac，ip值相同，归因到androidid／androidid_MD5---------------------
# 点击imei=111，oaid=222，androidid=333，mac=444，ip=1.1.1.1，muid=555激活imei=888，oaid=999，androidid=333，mac=444，ip=1.1.1.1
def test_androidid1():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    # clickandroid.send_requestandroid('')
    clickandroid.send_requestandroid('&preorder=true')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 点击imei=111，oaid=222，androidid=‘’，mac=444，ip=1.1.1.1，muid=555，androidid_MD5=333激活imei=888，oaid=999，androidid=333，mac=444，ip=1.1.1.1
def test_androidid2():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['androidid_MD5'] = computeMD5lower(androidid)
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    # clickandroid.send_requestandroid('')
    clickandroid.send_requestandroid('&preorder=true')

    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# --------------------------点击激活的imei／imei_MD5，oaid／oaid_MD5，androidid／androidid_MD5值不相同，mac\mac_MD5，ip，ipv6值相同，归因到mac\mac_MD5--------------------
# 点击imei=111，oaid=222，androidid=‘’，mac=444，ip=1.1.1.1，muid=555，androidid_MD5=898激活imei=888，oaid=999，androidid=333，mac=444，ip=1.1.1.1
def test_mac1():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['androidid_MD5'] = '343'
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    # clickandroid.send_requestandroid('')
    clickandroid.send_requestandroid('&preorder=true')

    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 点击imei=111，oaid=222，androidid=‘’，mac=md5 444，ip=1.1.1.1，muid=555，androidid_MD5=898激活imei=888，oaid=999，androidid=333，mac=444，ip=1.1.1.1
def test_mac2():
    i = code_nums1(32)
    i2 = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i2
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['androidid_MD5'] = '343'
    clickandroid.parms['mac'] = computeMD5lower(mac)
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    # clickandroid.send_requestandroid('')
    clickandroid.send_requestandroid('&preorder=true')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# --------------------------点击激活的imei／imei_MD5，oaid／oaid_MD5，androidid／androidid_MD5，mac\mac_MD5值不相同，ip，ipv6值相同，归因到ip／ipv6--------------

# 点击imei=111，oaid=222，androidid=‘’，mac=444，ip=1.1.1.1，ipv6=2.2.2.2，muid=555，androidid_MD5=898激活imei=888，oaid=999，androidid=333，mac=5444，ip=1.1.1.1，ipv6=2.2.2.2，
def test_ip1():
    i = code_nums1(32)
    i2 = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip2 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i2
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['androidid_MD5'] = '343'
    clickandroid.parms['mac'] = ''
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.parms['ipv6'] = ip2
    # clickandroid.send_requestandroid('')
    clickandroid.send_requestandroid('&preorder=true')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.data['context']['_ipv6'] = ip2
    tkioreceiveandroid.send_request()
    print(i)


# 点击imei=111，oaid=222，androidid=‘’，mac=444，ip=1.1.1.2，ipv6=2.2.2.2，muid=555，androidid_MD5=898激活imei=888，oaid=999，androidid=333，mac=5444，ip=1.1.1.1，ipv6=2.2.2.2，
def test_ip2():
    i = code_nums1(32)
    i2 = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip2 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i2
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['androidid_MD5'] = '343'
    clickandroid.parms['mac'] = ''
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip2
    clickandroid.send_requestandroid('')
    # clickandroid.send_requestandroid('&preorder=true')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.data['context']['_ipv6'] = ip2
    tkioreceiveandroid.send_request()
    print(i)


# --------------------------开启自定义归因后，对选择的设备id以及ip验证-----------------------
# 不选择imei，选择oaid，androidid，mac，ip
# imei,oaid,androidid,mac,ip相同，归因到oaid

def test_at1():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    # clickandroid.send_requestandroid('')
    clickandroid.send_requestandroid('&preorder=true')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 不选择imei，oaid，选择androidid，mac，ip
# imei,oaid,androidid,mac,ip相同，归因到androidid
def test_at2():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 不选择imei，oaid，androidid，选择mac，ip
# imei,oaid,androidid,mac,ip相同，归因到mac
def test_at3():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 不选择imei，oaid，androidid，mac，选择ip
# imei,oaid,androidid,mac,ip相同，归因到ip
def test_at4():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    # clickandroid.send_requestandroid('')
    clickandroid.send_requestandroid('&preorder=true')

    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 展示归因验证
# 开启【自定义归因】-选择mac归因后，展示归因可按照之前逻辑（imei）归因
def test_at5():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('&impression=true')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


def test_hl():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = 'null'
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    time.sleep(300)
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(3)
    tkioreceiveandroid.data['what'] = 'loggedin'
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = ''
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.data['context']['serverid'] = ip
    tkioreceiveandroid.send_requestlogin()
    print(i)
    print(ip)


# 开启了自定义归因，不按照lastclick归因，按照设备优先级归因
def test_at6():
    i = code_nums1(32)
    i2 = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip2 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['mac'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(3)
    clickandroid.parms['imei'] = i2
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['mac'] = ''
    clickandroid.parms['ip'] = ip2
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip2
    tkioreceiveandroid.send_request()
    print(i)
    print(i2)
    print(ip)


# **************************************************自定义归因测试用例结束**************************************************

# 回流
def test_huiliu():
    i = code_nums1(32)
    # i = 'jxmqw8bbpj706d812w6q67dfo5pf4428'
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    campaignid = '1111'
    campaignid2 = '1111'
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(8)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    # tkioreceiveandroid.data['context']['_campaignid'] = campaignid
    tkioreceiveandroid.send_request()
    time.sleep(200)
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid2('')
    time.sleep(8)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    # tkioreceiveandroid.data['context']['_campaignid'] = campaignid2
    tkioreceiveandroid.data['what'] = "loggedin"
    tkioreceiveandroid.send_requestlogin()
    print(i)
    print(ip)


# 分包
def test_fenbao():
    i = code_nums1(32)
    # i = 'jxmqw8bbpj706d812w6q67dfo5pf4428'
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    campaignid = '1122'
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.data['context']['_campaignid'] = campaignid
    tkioreceiveandroid.send_request()
    print(i)
    print(ip)


# 分包分链接
def test_fbflj():
    i = code_nums1(32)
    # i = 'jxmqw8bbpj706d812w6q67dfo5pf4428'
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    campaignid = '1111'
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(8)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.data['context']['_campaignid'] = campaignid
    tkioreceiveandroid.send_request()
    print(i)
    print(ip)


# deeplink归因
def test_deeplink():
    i = code_nums1(32)
    # i = 'jxmqw8bbpj706d812w6q67dfo5pf4428'
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('&ry_dp=true&rydp_path=null&rydp_url=http%3A%2F%2F123')
    time.sleep(8)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.data['what'] = "invoke"
    tkioreceiveandroid.send_request()
    print(i)
    print(ip)


# preorder预约归因
def test_preorder():
    i = code_nums1(32)
    # i = 'jxmqw8bbpj706d812w6q67dfo5pf4428'
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('&preorder=true')
    time.sleep(8)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)
    print(ip)


# ***************************************************特定设备归因***************************************************
# imei归因
def test_atbimei():
    i = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)
    print(ip)


# imei_md5归因
def test_atbimeimd5():
    i = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = computeMD5upper(i)
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)
    print(ip)


# oaid
def test_atboaid():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.data['context']['_apptype'] = 'quickApp'
    tkioreceiveandroid.send_request()
    print(i)


# oaidmd5
def test_atboaidmd5():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = computeMD5lower(oaid)
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.data['context']['_apptype'] = 'quickApp'
    tkioreceiveandroid.send_request()
    print(i)


# androidid
def test_atbandroidid():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_ip'] = ip
    # tkioreceiveandroid.data['context']['_apptype'] = 'quickApp'

    tkioreceiveandroid.send_request()
    print(i)


# androidiMD5
def test_atbandroididmd5():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['androidid_MD5'] = computeMD5lower(androidid)
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_ip'] = ip
    # tkioreceiveandroid.data['context']['_apptype'] = 'quickApp'

    tkioreceiveandroid.send_request()
    print(i)


# mac
def test_atbmac():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['androidid_MD5'] = '343'
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    # tkioreceiveandroid.data['context']['_apptype'] = 'quickApp'
    tkioreceiveandroid.send_request()
    print(i)


# macmd5
def test_atbmacmd5():
    i = code_nums1(32)
    i2 = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i2
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['androidid_MD5'] = '343'
    clickandroid.parms['mac'] = computeMD5lower(mac)
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    # tkioreceiveandroid.data['context']['_apptype'] = 'quickApp'

    tkioreceiveandroid.send_request()

    print(i)


# jointype-归因方式补充


# imei2 纯数字可归因，带字母的设备暂时无法归因
def test_jointypeimei2():
    i = '88978987787891'
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i

    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    # clickandroid.send_requestandroid('&preorder=true')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei2'] = i
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)
    print(ip)


# sha_imei
def test_shaimei():
    i = code_nums1(12)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = computesha(i)
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)
    print(ip)



# md5_imei2
def test_imei2md5():
    i = code_nums1(12)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = computeMD5lower(i)
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei2'] = i
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)
    print(ip)



# sha_imei2
def test_shaimei2():
    i = code_nums1(12)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = computesha(i)
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei2'] = i
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)
    print(ip)



# meid
# def test_shameid():
#     i = code_nums1(12)
#     ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
#     clickandroid.parms['imei'] = i
#     clickandroid.parms['ip'] = ip
#     clickandroid.send_requestandroid('')
#     time.sleep(6)
#     tkioreceiveandroid.data['context']['_deviceid'] = i
#     tkioreceiveandroid.data['context']['_meid'] = i
#     tkioreceiveandroid.data['context']['_ip'] = ip
#     tkioreceiveandroid.send_request()
#     print(i)
#     print(ip)


# sha_oaid
def test_shaoaid():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = computesha(oaid)
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)



# sha_android_id
def test_sha_android_id():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['androidid'] = computesha(androidid)
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)





# no_colon_mac
def test_no_colon_mac():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac_colon = '00:09:5B:EC:EE:F3'
    no_colon_mac= '00095BECEEF3'
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['androidid_MD5'] = '343'
    clickandroid.parms['mac'] = no_colon_mac
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac_colon
    tkioreceiveandroid.data['context']['_ip'] = ip
    # tkioreceiveandroid.data['context']['_apptype'] = 'quickApp'
    tkioreceiveandroid.send_request()
    print(i)





# md5_no_colon_mac
def test_md5_no_colon_mac():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac_colon = '00:09:5B:EC:EE:F3'
    no_colon_mac= '00095BECEEF3'
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['androidid_MD5'] = '343'
    clickandroid.parms['mac'] = computeMD5lower(no_colon_mac)
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac_colon
    tkioreceiveandroid.data['context']['_ip'] = ip
    # tkioreceiveandroid.data['context']['_apptype'] = 'quickApp'
    tkioreceiveandroid.send_request()
    print(i)



def test_TEST():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    # clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    # clickandroid.send_requestandroid('')
    clickandroid.send_requestandroid('&preorder=true')
    time.sleep(6)
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    # clickandroid.send_requestandroid('')
    clickandroid.send_requestandroid('&preorder=true')
    time.sleep(6)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)
    print(ip)


# 点击存储验证
def test_click():
    mget = 'b34100cdf5b586774e5d4dd4357c7b17:'
    # mget = ''

    # i = code_nums1(32)
    i = 'CM471A7C6B21F0369B5US8J8UV8P8SVD'
    # mdi = '5DF50CF4C9E6BD1B5A42561C637DAEBE'

    oaid = code_nums1(15)
    # oaid = 'S96Z9721656VRIP'
    # mdo = '8127886D006BB678853E0DC918E688CA'

    mac = code_nums1(32)
    # mac = 'A05Q8GGG6572D861XEIB0869S56Q1VD7'

    # androidid = code_nums1(16)
    androidid = '95J247G5ZQYM81Z8'
    # mda = 'EB802DB3386F1CB75975F4D58667F70F'

    muid = code_nums1(16)
    # muid='LGSM6ND543Q9JSZU'

    # ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip = '58.243.117.39'

    clickandroid.parms['click_time'] = '1663309200'
    # clickandroid.parms['imei'] = i
    # clickandroid.parms['imei_MD5'] = computeMD5upper(i)
    # clickandroid.parms['imei_MD5'] = mdi

    # clickandroid.parms['oaid'] = oaid
    # clickandroid.parms['oaid_MD5'] = computeMD5upper(oaid)
    # clickandroid.parms['oaid_MD5'] = mdo

    # clickandroid.parms['androidid'] = androidid
    # clickandroid.parms['androidid_MD5'] = computeMD5upper(androidid)
    # # clickandroid.parms['androidid_MD5'] = mda
    #
    # clickandroid.parms['mac'] = mac
    # clickandroid.parms['muid'] = muid
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    # print("imei:   "+mget+i.upper())
    # print("imei_MD5:   "+mget+computeMD5upper(i))
    # print("oaid:   "+mget+oaid.upper())
    # print("oaid_MD5:   "+mget+computeMD5upper(oaid))
    # print("mac:   "+mget+mac.upper())
    # print("androidid:   "+mget+androidid.upper())
    # print("androidid_MD5:   "+mget+computeMD5upper(androidid))
    # print("muid:   "+mget+muid.upper())
    print("ip:   " + mget + ip)


def test_install():
    i = code_nums1(32)
    # i = 'N9Q2T28P8RUVFJ6'
    i2 = code_nums1(32)
    # oaid = code_nums1(15)
    oaid = '5DB16249GAUJN7X'

    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)
