import requests
import time
import json
import socket
import struct
import random
import hashlib

data = {
    "what": "install",
    "appid": "894ef23136b0a6bb039800aa217f2729",
    "context": {
        "_deviceid": "",
        "_imei": "",
        "_oaid": "",
        "_ip": "",
        "_manufacturer": "vivo",
        "_ryos": "android",
        "_rydevicetype": "vivox9",
        "_networktype": "5g",
        "_resolution": "1344*750",
        "_carrier": "111",
        "_timestamp": 1655291783782,
        "_model": "jixing",
        "_ryosversion": "13.6.1",
        "__model": "jixing"

    },
    "when": int(round(time.time() * 1000)),
    "ds": "2022-06-15",
    "who": "lxx_test"
}

headers = {
    'Content-Type': 'application/json'
}

data_temp = json.dumps(data)



def send_request():
    global data
    # 测试
    # url = "http://52.80.137.106:8080/receive/tkio/install"
    # url = "http://52.80.137.106:8080/receive/tkio/event"

    # 线上
    url = "http://log.trackingio.com/receive/tkio/install"
    data['context']['install_time'] = int(round(time.time() * 1000))
    print(data)
    response = requests.request("POST", url, headers=headers, data=json.dumps(data))
    print(response.text)
    # 全局data
    data = json.loads(data_temp)
    response = json.loads(response.text)
    s = str(response["status"])
    response["status"] = s
    return response


def send_requestlogin():
    global data
    # 测试
    # url = "http://52.80.137.106:8080/receive/tkio/loggedin"
    # 线上
    url = "http://log.trackingio.com/receive/tkio/loggedin"
    data['context']['install_time'] = int(round(time.time() * 1000))
    print(data)
    response = requests.request("POST", url, headers=headers, data=json.dumps(data))
    print(response.text)
    # 全局data
    data = json.loads(data_temp)
    response = json.loads(response.text)
    s = str(response["status"])
    response["status"] = s
    return response


