import socket
import struct
import random
import time
import string

import hashlib
from tkio import clickios
from tkio import tkioreceive


# 生成idfa大写
def idfacode():
    ret = ''
    a = "".join(random.sample(string.ascii_letters + string.digits, 8))
    b = "".join(random.sample(string.ascii_letters + string.digits, 4))
    c = "".join(random.sample(string.ascii_letters + string.digits, 4))
    d = "".join(random.sample(string.ascii_letters + string.digits, 4))
    e = "".join(random.sample(string.ascii_letters + string.digits, 12))
    i = (a + "-" + b + "-" + c + "-" + d + "-" + e).upper()
    ret += i
    return ret


# 生成idfa小写
def idfacode_lower():
    ret = ''
    a = "".join(random.sample(string.ascii_letters + string.digits, 8))
    b = "".join(random.sample(string.ascii_letters + string.digits, 4))
    c = "".join(random.sample(string.ascii_letters + string.digits, 4))
    d = "".join(random.sample(string.ascii_letters + string.digits, 4))
    e = "".join(random.sample(string.ascii_letters + string.digits, 12))
    i = (a + "-" + b + "-" + c + "-" + d + "-" + e).lower()
    ret += i
    return ret


# md5加密转大写
def computeMD5upper(message):
    m = hashlib.md5()
    m.update(message.encode(encoding='utf-8'))
    return m.hexdigest().upper()


# md5加密转小写
def computeMD5lower(message):
    m = hashlib.md5()
    m.update(message.encode(encoding='utf-8'))
    return m.hexdigest()



# SHA加密
def computesha(message):
    sha = hashlib.sha1(message.encode('utf-8'))
    encrypts = sha.hexdigest()
    print(encrypts)
    return encrypts


# 生成小写字母加数字组合
n = 10


def test_sha1():
    computesha("111")



def code_nums1(n=6):
    ret = ''
    for i in range(n):
        num = random.randint(0, 9)
        letter = chr(random.randint(97, 122))
        s = str(random.choice([num, letter]))
        ret += s
    return ret


# 1.点击1:idfa=111，ip=222
# 2.点击2:idfa=444，ip=333
# 3.激活：idfa=111，ip=333
# 归因到点击1
def test_at1():
    i = idfacode()
    i2 = idfacode()
    ip1 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip2 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip1
    clickios.send_requestandroid('')
    time.sleep(10)
    clickios.parms['idfa'] = i2
    clickios.parms['ip'] = ip2
    clickios.send_requestandroid('')
    time.sleep(6)
    tkioreceive.data['context']['_deviceid'] = i
    tkioreceive.data['context']['_idfa'] = i
    tkioreceive.data['context']['_ip'] = ip2
    tkioreceive.send_request()
    print(i)
    print(i2)
    print(ip1)
    print(ip2)


# 1.点击1:idfa=111，ip=222.点击2:idfa=444，ip=3333.激活：idfa=444，ip=222
# 归因到点击2
def test_at2():
    i = idfacode()
    i2 = idfacode()
    ip1 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip2 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip1
    clickios.send_requestandroid('')
    time.sleep(3)
    clickios.parms['idfa'] = i2
    clickios.parms['ip'] = ip2
    clickios.send_requestandroid('')
    time.sleep(6)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip1
    tkioreceive.send_request()
    print(i)
    print(i2)
    print(ip1)
    print(ip2)


# 点击激活的idfa，caid，ip+ua，ip都相同，归因方式为idfa
def test_at3():
    i = idfacode()
    caid = code_nums1(36)
    ip1 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip1
    clickios.parms['caid1'] = caid
    clickios.send_requestandroid('')
    # clickios.send_requestandroid('&preorder=true')
    time.sleep(6)
    tkioreceive.data['context']['_deviceid'] = i
    tkioreceive.data['context']['_idfa'] = i
    tkioreceive.data['context']['_ip'] = ip1
    tkioreceive.data['context']['_caid'] = caid
    tkioreceive.send_request()
    print(i)
    print(ip1)


# 在优先级同样的情况下，优先匹配lastclick
def test_at4():
    i = idfacode()
    i2 = idfacode()
    ip1 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip2 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip1
    clickios.send_requestandroid('')
    time.sleep(3)
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i2
    clickios.parms['ip'] = ip2
    clickios.send_requestandroid('')
    time.sleep(6)
    tkioreceive.data['context']['_deviceid'] = i
    tkioreceive.data['context']['_idfa'] = i
    tkioreceive.data['context']['_ip'] = ip1
    tkioreceive.send_request()
    print(i)
    print(i2)
    print(ip1)
    print(ip2)


# 激活的idfa与点击idfa_MD5相同，caid，ip+ua，ip都相同，归因方式为idfa_MD5
def test_at5():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = ''
    clickios.parms['ip'] = ip
    clickios.parms['caid1'] = caid
    clickios.send_requestandroid('')
    # clickios.send_requestandroid('&preorder=true')
    time.sleep(6)
    tkioreceive.data['context']['_deviceid'] = i
    tkioreceive.data['context']['_idfa'] = i
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.data['context']['_caid'] = caid
    tkioreceive.send_request()
    print(i)
    print(ip)


# 点击激活的idfa以及idfa_MD5不相同，点击的caid1和激活的caid相同，归因方式为caid
def test_at6():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    caid2 = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip
    clickios.parms['caid1'] = caid
    clickios.parms['caid2'] = caid2
    clickios.send_requestandroid('')
    # clickios.send_requestandroid('&preorder=true')
    time.sleep(6)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.data['context']['_caid1'] = caid
    tkioreceive.send_request()
    print(i2)
    print(ip)


# 点击激活的idfa，idfa_MD5不相同，点击的caid2和激活的caid相同，归因方式为caid
def test_at7():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    caid2 = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip
    clickios.parms['caid1'] = caid
    clickios.parms['caid2'] = caid2
    clickios.send_requestandroid('')
    # clickios.send_requestandroid('&preorder=true')

    time.sleep(5)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.data['context']['_caid1'] = caid2
    tkioreceive.send_request()
    print(i2)
    print(ip)


# 点击激活的idfa，idfa_MD5不相同，点击的caid2和激活的caid相同，归因方式为caid
def test_at8():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    caid2 = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip
    clickios.parms['caid1'] = caid
    clickios.parms['caid2'] = caid2
    clickios.send_requestandroid('')
    # clickios.send_requestandroid('&preorder=true')

    time.sleep(5)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.data['context']['_caid1'] = caid2
    tkioreceive.send_request()
    print(i2)
    print(ip)


# 点击激活的idfa，idfa_MD5不相同，点击的caid2和激活的caid1相同，归因方式为caid
def test_at9():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    caid2 = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip
    clickios.parms['caid1'] = caid
    clickios.parms['caid2'] = caid2
    clickios.send_requestandroid('')
    # clickios.send_requestandroid('&preorder=true')

    time.sleep(6)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.data['context']['_caid1'] = caid2
    tkioreceive.data['context']['_caid2'] = ''
    tkioreceive.send_request()
    print(i2)
    print(ip)


# 点击激活的idfa，idfa_MD5不相同，点击的caid1和激活的caid2相同，归因方式为caid
def test_at10():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    caid2 = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip
    clickios.parms['caid1'] = caid
    clickios.parms['caid2'] = caid2
    # clickios.send_requestandroid('')
    clickios.send_requestandroid('&preorder=true')

    time.sleep(5)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.data['context']['_caid1'] = caid
    tkioreceive.data['context']['_caid2'] = ''
    tkioreceive.send_request()
    print(i2)
    print(ip)


# 点击激活的idfa，idfa_MD5，不相同，点击的caid1为原值，激活的caid为md5加密值，无法用caid归因
def test_at11():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    caid2 = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip
    clickios.parms['caid1'] = caid
    clickios.parms['caid2'] = caid2
    # clickios.send_requestandroid('')
    clickios.send_requestandroid('&preorder=true')

    time.sleep(5)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.data['context']['_caid1'] = computeMD5upper(caid)
    tkioreceive.data['context']['_caid2'] = ''
    tkioreceive.send_request()
    print(i2)
    print(ip)


# 点击激活的idfa，idfa_MD5不相同，点击的caid1和激活的caid相同，归因方式为caid
def test_at12():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    caid2 = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip
    clickios.parms['caid1'] = caid
    clickios.parms['caid2'] = caid2
    clickios.send_requestandroid('')
    time.sleep(6)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.data['context']['_caid'] = caid
    tkioreceive.data['context']['_caid2'] = ''
    tkioreceive.send_request()
    print(i2)
    print(ip)


# 点击激活的idfa，idfa_MD5，不相同，点击的caid1为md5加密值，激活的caid为原值，归因方式为caid_MD5
def test_at13():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    caid2 = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip
    clickios.parms['caid1'] = computeMD5upper(caid)
    clickios.parms['caid2'] = caid2
    clickios.send_requestandroid('')
    # clickios.send_requestandroid('&preorder=true')

    time.sleep(6)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.data['context']['_caid'] = caid
    tkioreceive.data['context']['_caid2'] = ''
    tkioreceive.send_request()
    print(i2)
    print(ip)


# 点击激活的idfa，idfa_MD5，不相同，点击的caid2为原值，激活的caid2为md5加密值，无法用caid归因
def test_at14():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    caid2 = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip
    clickios.parms['caid1'] = ''
    clickios.parms['caid2'] = caid2
    clickios.send_requestandroid('')
    time.sleep(5)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.data['context']['_caid'] = caid
    tkioreceive.data['context']['_caid2'] = computeMD5upper(caid)
    tkioreceive.send_request()
    print(i2)
    print(ip)


# 点击激活的idfa，idfa_MD5，不相同，点击的caid2为md5加密值，激活的caid为原值，归因方式为caid_MD5
def test_at15():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    caid2 = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip
    clickios.parms['caid1'] = ''
    clickios.parms['caid2'] = computeMD5upper(caid2)
    # clickios.send_requestandroid('')
    clickios.send_requestandroid('&preorder=true')

    time.sleep(5)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.data['context']['_caid'] = caid
    tkioreceive.data['context']['_caid2'] = caid2
    tkioreceive.send_request()
    print(i2)
    print(ip)


# 点击激活的idfa，idfa_MD5，caid不相同，点击的ip+ua与激活的相同，归因到ip+ua
def test_at16():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    caid2 = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i
    clickios.parms[
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    clickios.parms['ip'] = ip
    clickios.parms['caid1'] = ''
    clickios.parms['caid2'] = caid
    clickios.send_requestandroid('')
    # clickios.send_requestandroid('&preorder=true')

    time.sleep(6)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.data['context']['_caid'] = ''
    tkioreceive.data['context']['_caid2'] = ''
    tkioreceive.data['context'][
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    tkioreceive.send_request()
    print(i2)
    print(ip)


# 点击激活的idfa，idfa_MD5，caid，ip+ua不相同，点击的ipv6+ua与激活的相同，归因到ipv6+ua
def test_at17():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    caid2 = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip2 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i
    clickios.parms[
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    clickios.parms['ip'] = ip
    clickios.parms['caid1'] = ''
    clickios.parms['caid2'] = caid
    clickios.send_requestandroid('')
    time.sleep(6)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip2
    tkioreceive.data['context']['_ipv6'] = ip
    tkioreceive.data['context']['_caid'] = ''
    tkioreceive.data['context']['_caid2'] = ''
    tkioreceive.data['context'][
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    tkioreceive.send_request()
    print(i2)
    print(ip)


# 点击激活的idfa，idfa_MD5，caid，ip+ua不相同，点击的ip与激活的相同，归因到ip
def test_at18():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    caid2 = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip2 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))

    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i
    clickios.parms[
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_0 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    clickios.parms['ip'] = ip
    clickios.parms['caid1'] = ''
    clickios.parms['caid2'] = caid
    clickios.send_requestandroid('')
    time.sleep(6)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.data['context']['_ipv6'] = ip2
    tkioreceive.data['context']['_caid'] = ''
    tkioreceive.data['context']['_caid2'] = ''
    tkioreceive.data['context'][
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    tkioreceive.send_request()
    print(i2)
    print(ip)


# 点击激活的idfa，idfa_MD5，caid，ip+ua,ip不相同，点击的ipv6与激活的相同，归因到ipv6
def test_at19():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    caid2 = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip2 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i
    clickios.parms[
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_0 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    clickios.parms['ip'] = ip2
    clickios.parms['caid1'] = ''
    clickios.parms['caid2'] = caid
    clickios.send_requestandroid('')
    time.sleep(6)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.data['context']['_ipv6'] = ip2
    tkioreceive.data['context']['_caid'] = ''
    tkioreceive.data['context']['_caid2'] = ''
    tkioreceive.data['context'][
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    tkioreceive.send_request()
    print(i2)
    print(ip)


# 点击激活的idfa，idfa_MD5，caid，ip+ua，ip不相同，归因到自然量
def test_at20():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    caid2 = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip2 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i
    clickios.parms[
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_0 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    clickios.parms['ip'] = ip2
    clickios.parms['caid1'] = ''
    clickios.parms['caid2'] = caid
    clickios.send_requestandroid('')
    time.sleep(5)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.data['context']['_ipv6'] = '3.3.3.3'
    tkioreceive.data['context']['_caid'] = ''
    tkioreceive.data['context']['_caid2'] = ''
    tkioreceive.data['context'][
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    tkioreceive.send_request()
    print(i2)
    print(ip)


# 激活中idfa为原值大写，点击为原值小写，可归因上
def test_at21():
    i = idfacode_lower()
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip
    clickios.send_requestandroid('')
    time.sleep(5)
    tkioreceive.data['context']['_deviceid'] = i.upper()
    tkioreceive.data['context']['_idfa'] = i.upper()
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.send_request()
    print(i)


# 激活中idfa为小写原值，点击为小写，可归因上
def test_at22():
    i = idfacode_lower()
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip
    clickios.send_requestandroid('')
    time.sleep(5)
    tkioreceive.data['context']['_deviceid'] = i
    tkioreceive.data['context']['_idfa'] = i
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.send_request()
    print(i)


# 激活中idfa为小写原值，点击为大写，可归因上
def test_at23():
    i = idfacode_lower()
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i.upper()
    clickios.parms['ip'] = ip
    clickios.send_requestandroid('')
    time.sleep(5)
    tkioreceive.data['context']['_deviceid'] = i
    tkioreceive.data['context']['_idfa'] = i
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.send_request()
    print(i)


# 激活中idfa为原值md5小写，可归因上
# 1.点击idfa= AAA，idfa_MD5=MD5 AAA 2.激活idfa=MD5 AAA(小写)
def test_at24():
    i = idfacode()
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['idfa_MD5'] = computeMD5lower(i)
    clickios.parms['ip'] = ip
    clickios.send_requestandroid('')
    time.sleep(5)
    tkioreceive.data['context']['_deviceid'] = i
    tkioreceive.data['context']['_idfa'] = computeMD5lower(i)
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.send_request()
    print(i)


# 激活中idfa为原值md5大写，可归因上
def test_at25():
    i = idfacode()
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['idfa_MD5'] = computeMD5lower(i)
    clickios.parms['ip'] = ip
    clickios.send_requestandroid('')
    time.sleep(5)
    tkioreceive.data['context']['_deviceid'] = i
    tkioreceive.data['context']['_idfa'] = computeMD5upper(i)
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.send_request()
    print(i)


# --------------------------开启自定义归因后，对选择的设备id以及ip验证---------------涉及到配置，所以以下情况用同一条测试用例---------------
# 自定义未选择idfa且点击激活的idfa相同，可归因上caid
# 自定义未选择idfa，caid且点击激活的idfa，caid相同，可归因上ip+ua
# 自定义未选择idfa，caid，ip+ua且点击激活的idfa，caid，ip+ua相同，可归因上ip
# 自定义归因只选择ip，除ip外其他设备都相同，归因到自然量
# 自定义归因只选择idfa，除idfa外其他设备都相同，归因到自然量
# 自定义归因只选择caid，除caid外其他设备都相同，归因到自然量

def test_at26():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(36)
    caid2 = code_nums1(36)
    ip1 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip2 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip1
    clickios.parms[
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    clickios.parms['caid1'] = caid
    # clickios.send_requestandroid('')
    clickios.send_requestandroid('&preorder=true')
    time.sleep(5)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip1
    tkioreceive.data['context']['_caid'] = caid
    tkioreceive.data['context'][
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    tkioreceive.send_request()
    print(i)
    print(i2)
    print(ip1)

# ----------------------归因窗口期逻辑验证---------------涉及到配置，所以以下情况用同一条测试用例---------------
# 1.开启了自定义归因   2.选择了所有设备和ip  3.【设备ID归因回溯窗口期】为5分钟，【IP归因回溯窗口期】15分钟::1.点击激活中的idfa，ip相同2.发送点击，10分钟后发送一条激活    jointype为ip
# 1.开启了自定义归因   2.选择了所有设备和ip  3.【设备ID归因回溯窗口期】为5分钟，【IP归因回溯窗口期】5分钟::1.点击激活中的idfa，ip相同2.发送点击，10分钟后发送一条激活     自然量
# 1.该产品开启了【自定义归因】  2.选择了ip  3.【设备ID归因回溯窗口期】为15分钟，【IP归因回溯窗口期】5分钟::1.点击激活中的idfa，ip相同2.发送点击，10分钟后发送一条激活     自然量
# 1.该产品开启了【自定义归因】  2.选择了ip  3.【设备ID归因回溯窗口期】为15分钟，【IP归因回溯窗口期】5分钟::1.点击激活中的idfa，ip相同2.发送点击，3分钟后发送一条激活      jointype为ip

def test_at27():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(36)
    caid2 = code_nums1(36)
    ip1 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip2 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip1
    clickios.parms[
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    clickios.parms['caid1'] = caid
    clickios.send_requestandroid('')
    time.sleep(60)
    tkioreceive.data['context']['_deviceid'] = i
    tkioreceive.data['context']['_idfa'] = i
    tkioreceive.data['context']['_ip'] = ip1
    tkioreceive.data['context']['_caid'] = caid
    tkioreceive.data['context'][
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    tkioreceive.send_request()
    print(i)
    print(i2)
    print(ip1)




# --------------------------------特殊渠道CAID传值处理----------------------------

# Bilibili
def test_at28():
    i = idfacode()
    i2 = idfacode()
    ip1 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip1
    clickios.parms[
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    clickios.parms['caid'] = '20201201_f249f306494646edfee0f939698e1fb8%2C20210101_f049f306494646edfee0f939698e1fb5'
    clickios.send_requestandroid('')
    time.sleep(5)
    tkioreceive.data['context']['_deviceid'] = i
    tkioreceive.data['context']['_idfa'] = i
    tkioreceive.data['context']['_ip'] = ip1
    tkioreceive.data['context']['_caid1'] = 'f249f306494646edfee0f939698e1fb8'
    tkioreceive.data['context']['_caid2'] = 'f049f306494646edfee0f939698e1fb5'
    tkioreceive.data['context'][
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    tkioreceive.send_request()
    print(i)
    print(i2)
    print(ip1)


# （新）广点通，cid：17797
def test_at29():
    i = idfacode()
    ip1 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip1
    clickios.parms['caid'] = '%5B%7B%22qaid%22%3A%2212345%22%2C%22hash_qaid%22%3A%22123456789012345%22%2C%22version%22%3A%221003%22%7D%2C%7B%22qaid%22%3A%2267890%22%2C%22hash_qaid%22%3A%226789523654780214556%22%2C%22version%22%3A%221006%22%7D%5D'
    clickios.send_requestandroid('')
    print('点击')
    time.sleep(5)
    tkioreceive.data['context']['_deviceid'] = i
    tkioreceive.data['context']['_idfa'] = i
    tkioreceive.data['context']['_ip'] = ip1
    tkioreceive.data['context']['_caid1'] = '123456789012345'
    tkioreceive.data['context']['_caid2'] = '6789523654780214556'
    tkioreceive.data['context'][
        'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    tkioreceive.send_request()
    print(i)



# 网易云音乐  cid：10837
# 两个版本值都不为空且不相同
# 两个版本值都不为空且相同
# null值
# caid值为：20220111_null_2C20211207_33927d0a4d3b62ced1e1c2861a94891c
# caid值为：20220111_33927d0a4d3b62ced1e1c2861a94891c_2C20211207_null
# caid值为：20220111_null_2C20211207_null

# null值的MD5值
# caid值为：20220111_37a6259cc0c1dae299a7866489dff0bd_2C20211207_33927d0a4d3b62ced1e1c2861a94891c
# caid值为：20220111_33927d0a4d3b62ced1e1c2861a94891c_2C20211207_37a6259cc0c1dae299a7866489dff0bd
# caid值为：20220111_37a6259cc0c1dae299a7866489dff0bd_2C20211207_37a6259cc0c1dae299a7866489dff0bd

# NULL值
# caid值为：20220111_NULL_2C20211207_33927d0a4d3b62ced1e1c2861a94891c
# caid值为：20220111_33927d0a4d3b62ced1e1c2861a94891c_2C20211207_NULL
# caid值为：20220111_NULL_2C20211207_NULL

# NULL值的MD5值
# caid值为：20220111_6c3e226b4d4795d518ab341b0824ec29_2C20211207_33927d0a4d3b62ced1e1c2861a94891c
# caid值为：20220111_33927d0a4d3b62ced1e1c2861a94891c_2C20211207_6c3e226b4d4795d518ab341b0824ec29
# caid值为：20220111_6c3e226b4d4795d518ab341b0824ec29_2C20211207_6c3e226b4d4795d518ab341b0824ec29


# __YAID__值
# caid值为：20220111___YAID___2C20211207_33927d0a4d3b62ced1e1c2861a94891c
# caid值为：20220111_33927d0a4d3b62ced1e1c2861a94891c_2C20211207___YAID__
# caid值为：20220111___YAID___2C20211207___YAID__


# __YAID__的MD5值
# caid值为：20220111_8b68b8c298619130f0a7390f1627920c_2C20211207_33927d0a4d3b62ced1e1c2861a94891c
# caid值为：20220111_33927d0a4d3b62ced1e1c2861a94891c_2C20211207_8b68b8c298619130f0a7390f1627920c
# caid值为：20220111_8b68b8c298619130f0a7390f1627920c_2C20211207_8b68b8c298619130f0a7390f1627920c
def test_wyycaid():
    i = idfacode()
    ip1 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip1
    clickios.parms['caid'] = '20220111_8b68b8c298619130f0a7390f1627920c%2C2C20211207_37a6259cc0c1dae299a7866489dff0b3'
    clickios.send_requestandroid('')
    print('点击')
    # time.sleep(5)
    # tkioreceive.data['context']['_deviceid'] = i
    # tkioreceive.data['context']['_idfa'] = i
    # tkioreceive.data['context']['_ip'] = ip1
    # tkioreceive.data['context']['_caid1'] = '123456789012345'
    # tkioreceive.data['context']['_caid2'] = '6789523654780214556'
    # tkioreceive.data['context'][
    #     'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    # tkioreceive.send_request()
    print(i)



# UC头条  cid：530，目前支持20220111 、20211207、20201230 以上 3 个版本，优先选择2022和2021版本，需要提取其中各版本caid的值存储在caid1，caid2中；
# caid值为单个id，版本为20220111:[{"version":"20220111","caid":"6baf30ee45a1511eccb5e90111d57d7b"}]，caid取值为6baf30ee45a1511eccb5e90111d57d7b
# caid值为单个id，版本为20050111:[{"version":"20050111:","caid":"6baf30ee45a1511eccb5e90111d57d7b"}]，caid取值为6baf30ee45a1511eccb5e90111d57d7b
# caid值为两个id，版本分别为2020和2003：[{"version":"20201230","caid":"6baf30ee45a1511eccb5e90111d57d7b"},{"version":"20031207","caid":" 779621032f9c06357f8f81fb09d181f2" }]，caid1取值为6baf30ee45a1511eccb5e90111d57d7b，caid2取值为空
# caid值为三个id，版本分别为2020，2021，2022：[[{"version":"20201230","caid":"6baf30ee45a1511eccb5e90111d57d7b"},{"version":"20211207","caid":" 779621032f9c06357f8f81fb09d181f2" },{"version":"20220111","caid":"c5f63bc7782c9c56f693c6676d9a9b96" }]，caid1取值为779621032f9c06357f8f81fb09d181f2，caid2取值为c5f63bc7782c9c56f693c6676d9a9b96

def test_uccaid():
    i = idfacode()
    ip1 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip1
    clickios.parms['caid'] = '%5B%7B%22version%22%3A%2220201230%22%2C%22caid%22%3A%22dab00f10e034e99cfe5d53985c3711122%22%7D%2C%7B%22version%22%3A%2220221230%22%2C%22caid%22%3A%22dab00f10e034e99wewcfe5d53985c37112%22%7D%5D'
    clickios.send_requestandroid('')
    print('点击')
    # time.sleep(5)
    # tkioreceive.data['context']['_deviceid'] = i
    # tkioreceive.data['context']['_idfa'] = i
    # tkioreceive.data['context']['_ip'] = ip1
    # tkioreceive.data['context']['_caid1'] = '123456789012345'
    # tkioreceive.data['context']['_caid2'] = '6789523654780214556'
    # tkioreceive.data['context'][
    #     'ua'] = 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 SP-engine/2.30.0 baiduboxapp/12.13.0.10 (Baidu; P2 13.6.1)'
    # tkioreceive.send_request()
    print(i)



# [{"caid":"81bcddc91ea559bb711cfaf0b55cae53","version":"20211207"},{"caid":"0f1e07a50956d6af4a63c79106fa3e68","version":"20220111"}]
# taptap
def test_tapcaid():
    i = idfacode()
    ip1 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip1
    clickios.parms['caid'] = '%5B%7B%22caid%22%3A%2237a6259cc0c1dae299a7866489dff0bd%22%2C%22version%22%3A%2220211207%22%7D%2C%7B%22caid%22%3A%222f1e07a50956d6af4a63c79106fa3e68%22%2C%22version%22%3A%2220220111%22%7D%5D'
    clickios.send_requestandroid('')
    print('点击')
    print(i)





# 百度凤巢
def test_baiducaid():
    i = idfacode()
    ip1 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip1
    clickios.parms['caid'] = '%5B%7B%22caid%22%3A%5B%7B%22caid%22%3A%2200_B7BCDEBF65DC7891EF044070744B8A66_1DA6AC3170E277A9E76AB0CB4D3E9761%22%2C%22version%22%3A%2200%22%7D%5D%2C%22generateTime%22%3A%221675385532%22%2C%22vendor%22%3A%220%22%7D%2C%7B%22caid%22%3A%5B%7B%22caid%22%3A%22bb789ed6548f50905ffc1957585053f1%22%2C%22version%22%3A%2220220111%22%7D%5D%2C%22generateTime%22%3A%221675385532%22%2C%22vendor%22%3A%221%22%7D%5D'
    clickios.send_requestandroid('')
    print('点击')
    print(i)






# 点击存储
def test_at30():
    mget = 'b21d0385ad8371de9e90b3e969a5d0c6:'
    i = idfacode()
    caid = code_nums1(15)
    caid1 = code_nums1(36)
    caid2 = code_nums1(36)
    ip1 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['ua'] = "Mozilla/5.0 (iPhone; CPU iPhone OS 15_5 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148"
    clickios.parms['ip'] = ip1
    clickios.parms['caid1'] = caid1
    clickios.parms['caid2'] = caid2
    clickios.send_requestandroid('')
    print("idfa："+mget+i)
    print("idfa_MD5："+mget+computeMD5upper(i))
    print("ip："+mget+ip1)
    print("caid1："+mget+caid1.upper())
    print("caid2："+mget+caid2.upper())



# 点击激活的idfa，caid，ip+ua，ip都相同，归因方式为idfa
def test_at31():
    i = idfacode()
    caid = code_nums1(36)
    ip1 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip1
    clickios.parms['caid1'] = caid
    clickios.send_requestandroid('')
    time.sleep(8)
    tkioreceive.data['context']['_deviceid'] = i
    tkioreceive.data['context']['_idfa'] = i
    tkioreceive.data['context']['_ip'] = ip1
    tkioreceive.data['context']['_caid'] = caid
    tkioreceive.send_request()
    print(i)
    print(ip1)



# 预约归因-在优先级同样的情况下，优先匹配firstclick
def test_firstclick():
    i = idfacode()
    i2 = idfacode()
    ip1 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip2 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computeMD5upper(i)
    clickios.parms['idfa'] = i2
    clickios.parms['ip'] = ip2
    # clickios.send_requestandroid('')
    clickios.send_requestandroid('&preorder=true')
    time.sleep(3)
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip1
    # clickios.send_requestandroid('')
    clickios.send_requestandroid2('&preorder=true')
    time.sleep(6)
    tkioreceive.data['context']['_deviceid'] = i
    tkioreceive.data['context']['_idfa'] = i
    tkioreceive.data['context']['_ip'] = ip1
    tkioreceive.send_request()
    print(i)
    print(i2)
    print(ip1)
    print(ip2)


# jointype-归因方式补充

# sha idfa 暂时无法归因
def test_sha():
    i = idfacode()
    i2 = idfacode()
    caid = code_nums1(32)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa_MD5'] = computesha(i)
    clickios.parms['idfa'] = ''
    clickios.parms['ip'] = ip
    clickios.parms['caid1'] = caid
    clickios.send_requestandroid('')
    # clickios.send_requestandroid('&preorder=true')
    time.sleep(6)
    tkioreceive.data['context']['_deviceid'] = i
    tkioreceive.data['context']['_idfa'] = i
    tkioreceive.data['context']['_ip'] = ip
    tkioreceive.data['context']['_caid'] = caid
    tkioreceive.send_request()
    print(i)
    print(ip)



# no_line_idfa
def test_no_line_idfa():
    i = 'ZRNDIT5KU5OHWXAUVZL5AQWOTIRB2CY2'
    i2 = 'ZRNDIT5K-U5OH-WXAU-VZL5-AQWOTIRB2CY2'
    caid = code_nums1(36)
    ip1 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickios.parms['idfa'] = i
    clickios.parms['ip'] = ip1
    clickios.parms['caid1'] = caid
    clickios.send_requestandroid('')
    # clickios.send_requestandroid('&preorder=true')
    time.sleep(6)
    tkioreceive.data['context']['_deviceid'] = i2
    tkioreceive.data['context']['_idfa'] = i2
    tkioreceive.data['context']['_ip'] = ip1
    tkioreceive.data['context']['_caid'] = caid
    tkioreceive.send_request()
    print(i)
    print(ip1)









